# should be vendor 'fedora', but that would break upgrades for
# people who have linked the desktop icon
%define desktopvendor redhat

Summary: GTK+ based, lightweight, and fast email client
Name: sylpheed
Version: 2.3.1
Release: 3%{?dist}
License: GPL
URL: http://sylpheed.sraoss.jp/
Group: Applications/Internet
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
BuildRequires: gtk2-devel openssl-devel
BuildRequires: desktop-file-utils pkgconfig gettext
%{!?_without_gpgme:BuildRequires: gpgme-devel}
%{!?_without_compface:BuildRequires: compface-devel}
%{!?_without_ldap:BuildRequires: openldap-devel}
%{?_with_jpilot:BuildRequires: jpilot-devel}
BuildRequires: gtkspell-devel
Source0: http://sylpheed.sraoss.jp/sylpheed/v2.3/%{name}-%{version}.tar.bz2
Source1: sylpheed.1

Patch1: sylpheed-2.2.3-defs.h.patch
Patch2: sylpheed-2.2.7-desktop.patch
Patch3: sylpheed-2.3.1-certsdir.patch
Patch4: sylpheed-2.2.5-prefs_common.patch
Patch5: sylpheed-2.3.1-apop-cve-2007-1558.patch
Patch6: sylpheed-2.3.1-pgpmime-signed-compose.patch

%description
This program is an X based fast email client which has features
like:
o user-friendly and intuitive interface
o integrated NetNews client (partially implemented)
o ability of keyboard-only operation
o Mew/Wanderlust-like key bind
o multipart MIME
o unlimited multiple account handling
o message queueing
o assortment function
o XML-based address book

See /usr/share/doc/sylpheed*/README for more information.

%prep
%setup -q
%patch1 -p1 -b .defs.h
%patch2 -p1 -b .desktop
%patch3 -p1 -b .certsdir
%patch4 -p1 -b .prefs_common
%patch5 -p1 -b .apop
%patch6 -p1 -b .pgpmime-signed-compose

%build
%configure --enable-ssl %{!?_without_gpgme:--enable-gpgme} \
	%{?_without_compface:--disable-compface} \
	%{!?_without_ldap:--enable-ldap} \
	%{?_with_jpilot:--enable-jpilot}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 sylpheed-64x64.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/sylpheed.png
desktop-file-install --vendor %{desktopvendor} \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--remove-category Application \
	--add-category Network \
	sylpheed.desktop
install -d $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/
gzip -9 $RPM_BUILD_ROOT%{_mandir}/man1/sylpheed.1
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING ChangeLog README INSTALL TODO
%doc ChangeLog.ja README.ja INSTALL.ja TODO.ja
%{_bindir}/sylpheed
%{_datadir}/sylpheed/
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%changelog
* Sun May 13 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.3.1-3
- Patch PGP/MIME signed message compose, so it doesn't strip off
  whitespace of the "-- " body signature delimiter. It's upstream
  preference that it still does that for ISO 2022 JP to be compatible
  with a few broken MUAs that have problems with QP encoding.
- Remove .desktop categories "Application" and "X-Fedora".

* Sat Apr 21 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.3.1-2
- Patch APOP vulnerability (CVE-2007-1558) as in 2.4.0.
- Patch default directory for SSL/TLS certificates.

* Wed Jan 17 2007 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.3.1-1
- Update to 2.3.1.

* Sat Dec 23 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.3.0-1
- Update to 2.3.0 (new stable branch).

* Thu Nov 16 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.10-1
- Update to 2.2.10 (recommended bug-fixes only).

* Mon Oct 02 2006 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Sep 23 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.9-1
- Update to 2.2.9 (also works around #201949).
- New upstream URLs.

* Fri Sep  8 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.7-3
- Set StartupWMClass in desktop file.

* Fri Sep 01 2006 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Jul 31 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.7-1
- Update to 2.2.7 (includes patches from 2.2.6-2 and -3).

* Sun Jul 30 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.6-4
- Enable OpenLDAP support as requested by several users.
- Drop minimal version from GPGME build requirement
  (it's superfluous in our environments).

* Tue Jun 27 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.6-3
- Adapt upstream's patch for a crash with Turkish locales.

* Mon Jun 26 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.6-2
- Adapt upstream's patch to prevent a crash when switching folders
  (sylpheed-2.2.6-summaryview-crash.patch).

* Fri Jun  9 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.6-1
- Update to 2.2.6 (includes the smtp_timeout patch).

* Sat Jun  3 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.5-2
- Add smtp_timeout patch.
- Add display_folder_num_columns patch.

* Tue May 30 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.5-1
- Update to 2.2.5 (includes more "bold" fixes, too).

* Fri Mar 31 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.4-1
- Update to 2.2.4.

* Sun Mar 19 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.3-1
- Update to 2.2.3.
- Update external commands (defs.h) patch.

* Sat Feb 18 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.0-1
- Update to 2.2.0 (new stable series).
- BR gtkspell-devel.

* Wed Feb 15 2006 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.4-2
- rebuilt for FC5

* Thu Nov 10 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.4-1
- Update to 2.0.4 (security).

* Sat Oct 22 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.3-1
- Update to 2.0.3.

* Sat Oct  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.2-1
- Update to 2.0.2.

* Mon Sep  5 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.1-1
- Update to 2.0.1.

* Wed Aug 17 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.0-2
- rebuilt

* Sat Jul 30 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.0-1
- Update to 2.0.0.

* Tue Jul 26 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.0-0.4.rc
- Update to 2.0.0rc.

* Fri Jul 15 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.0-0.4.beta6
- Update to 2.0.0beta6 (feature freeze).

* Sun Jul 10 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.0-0.4.beta5
- Update to 2.0.0beta5.

* Tue Jul  5 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.0-0.4.beta4
- Update to 2.0.0beta4.

* Tue Jun 28 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- remove work-around from previous entry again, bug has been fixed

* Sun Jun 26 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.0-0.2.beta3
- temporarily add BR libpng-devel to work around a broken cairo-devel
  package, which is pulled in and breaks the pkg-config dependency
  chain (#161688)

* Fri Jun 24 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.0-0.1.beta3
- Update to 2.0.0beta3.
- Patch1 (flexible OpenSSL pkg-config support) merged upstream.

* Fri Jun 17 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.0-0.1.beta2
- Update to 2.0.0beta2.

* Fri Jun 10 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.0-0.1.beta1
- Update to 2.0.0beta1.

* Mon May 30 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.9.12-1
- Update to 1.9.12 to get a bunch of fixes.

* Fri May 13 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.9.10-1
- Update to 1.9.10.
- Upstream incorporated some desktop file fixes.

* Fri Apr 22 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.9.9-1
- Update to 1.9.9.

* Mon Apr 18 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.9.8-1
- Update to 1.9.8.

* Thu Mar 31 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.9.7-1
- Update to 1.9.7.
- Patch4 (draftsegf) merged upstream.

* Sun Mar 20 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.9.6-1
- Update to 1.9.6 development release for testing purposes.

* Thu Mar 17 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.0.3-2
- Fix segfault when reopening drafts.

* Sat Mar  5 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.0.3-1
- Update to 1.0.3.
- Enable support for GPGME 1.0 and compface.
- Apply common spec cleanup. Make desktop file UTF-8.

* Wed Jan  5 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.0-1
- New upstream release.

* Mon Dec 20 2004 Akira TAGOH <tagoh@redhat.com> - 1.0.0-0.1.rc
- New upstream release.

* Mon Nov 22 2004 Akira TAGOH <tagoh@redhat.com> - 1.0.0-0.1.beta3
- New upstream release.
- sylpheed-default-browser.patch: updated to apply cleanly.
- sylpheed.1: added a simple man page. (#129387)

* Wed Jun 23 2004 Akira TAGOH <tagoh@redhat.com> 0.9.12-1
- New upstream release.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Akira TAGOH <tagoh@redhat.com> 0.9.11-1
- New upstream release.

* Wed Mar 24 2004 Akira TAGOH <tagoh@redhat.com> 0.9.10-2
- sylpheed-default-browser.patch: applied to change the default browser to
  gnome-open. (#119007, Michael Schwendt)

* Wed Mar 10 2004 Akira TAGOH <tagoh@redhat.com> 0.9.10-1
- New upstream release.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Akira TAGOH <tagoh@redhat.com> 0.9.9-1
- New upstream release.

* Fri Jan 30 2004 Akira TAGOH <tagoh@redhat.com> 0.9.8a-3
- don't strip the binary. Thanks to Michael Schwendt
- use upstream's icon for the desktop file.
- install the desktop file using desktop-install-file

* Thu Jan 29 2004 Akira TAGOH <tagoh@redhat.com> 0.9.8a-2
- add _with_gpgme to build enabled gpgme support.
  NOTE: it's disabled as default. just define _with_gpgme to enable it.

* Tue Dec 16 2003 Akira TAGOH <tagoh@redhat.com> 0.9.8a-1
- New upstream release.

* Thu Oct 16 2003 Akira TAGOH <tagoh@redhat.com> 0.9.7-1
- New upstream release.

* Thu Jul 31 2003 Akira TAGOH <tagoh@redhat.com> 0.9.4-1
- New upstream release.

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.3-2
- rebuild

* Wed Jul 09 2003 Akira TAGOH <tagoh@redhat.com> 0.9.3-1
- New upstream release.

* Mon Jun 09 2003 Akira TAGOH <tagoh@redhat.com> 0.9.2-1
- New upstream release.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 09 2003 Akira TAGOH <tagoh@redhat.com> 0.8.11-1
- New upstream release.
- use the appropriate macros.

* Mon Mar 17 2003 Akira TAGOH <tagoh@redhat.com> 0.8.9-3
- enabled ssl support.
- sylpheed-0.8.9-ssl.patch: applied to fix the include path and links the correct libraries.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 20 2003 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.9

* Tue Jan  7 2003 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.8

* Thu Dec 12 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.6

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Thu Aug 29 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.2 to fix gpg fatal bug
- Fix desktop file (#72882)

* Sat Aug  3 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.1, a bug fix release

* Mon Jul 15 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.0

* Fri Jul 12 2002 Yukihiro Nakai <ynakai@redhat.com>
- Apply Japanese utf8 mail patch

* Wed Jul 10 2002 Yukihiro Nakai <ynakai@redhat.com>
- strip the binary
- fix .desktop file (#66460)

* Wed Jun 26 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.7.8

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 28 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.7.2
- Install .desktop

* Thu Jan 31 2002 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild on new environment.

* Sun Dec 16 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.6.6

* Fri Nov 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.6.5

* Thu Aug  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Chinese and Korean fix.
- Use %%find_lang

* Wed Jul 11 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add %%lang

* Mon Jul  9 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.5.0

* Tue Feb  6 2001 Tim Powers <timp@redhat.com>
- updated to 0.4.61, bug fixes

* Fri Jan 12 2001 Tim Powers <timp@redhat.com>
- updated to 0.4.52

* Thu Nov 16 2000 Tim Powers <timp@redhat.com>
- update to 0.4.4
- built for Powertools 7.1
- quiet setup
- minor specfile cleanup
- snipped some of the really old changelog, was very very long
- include the manual in the file list
- use %%configure and %%makeinstall as well as other predefined RPM
  macros whenever possible

* Wed Aug 30 2000 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild on Red Hat Linux 7.0

* Tue Aug 29 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>
- updated to 0.3.28

* Fri Aug 25 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>
- updated to 0.3.27

* Sat Aug 19 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>
- updated to 0.3.26, and modified URL

* Thu Aug 10 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>
- updated to 0.3.25

* Fri Aug 4 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>
- updated to 0.3.24

* Sat Jul 24 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>
- updated to 0.3.23

* Sat Jul 20 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>
- updated to 0.3.22

* Sun Jul 4 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>
- updated to 0.3.21, and modified Summary

